Package dev.plex.menu

# Class PunishmentMenu

java.lang.Object
dev.plex.util.menu.AbstractMenu
dev.plex.menu.PunishmentMenu

All Implemented Interfaces:
  `org.bukkit.event.Listener`

public class PunishmentMenu extends AbstractMenu

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<org.bukkit.inventory.Inventory>`
`inventories`

## Constructor Summary

Constructors
Constructor
Description
`PunishmentMenu()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrentInventoryIndex(org.bukkit.inventory.Inventory inventory)`
`List<org.bukkit.inventory.Inventory>`
`getInventory()`
`private boolean`
`isValidInventory(org.bukkit.inventory.Inventory inventory)`
`void`
`onClick(org.bukkit.event.inventory.InventoryClickEvent event)`
`void`
`openInv(org.bukkit.entity.Player player, int index)`

### Methods inherited from class dev.plex.util.menu.AbstractMenu

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### inventories

private final List<org.bukkit.inventory.Inventory> inventories

## Constructor Details

### PunishmentMenu

public PunishmentMenu()

## Method Details

### getInventory

public List<org.bukkit.inventory.Inventory> getInventory()

### openInv

public void openInv(org.bukkit.entity.Player player, int index)

### onClick

public void onClick(org.bukkit.event.inventory.InventoryClickEvent event)

### getCurrentInventoryIndex

public int getCurrentInventoryIndex(org.bukkit.inventory.Inventory inventory)

### isValidInventory

private boolean isValidInventory(org.bukkit.inventory.Inventory inventory)